%{?nodejs_find_provides_and_requires}

%global packagename is-path-inside
%global enable_tests 1

Name:		nodejs-is-path-inside
Version:	1.0.0
Release:	1%{?dist}
Summary:	Check if a path is inside another path

License:	MIT
URL:		https://github.com/sindresorhus/is-path-inside
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/is-path-inside/v%{version}/test.js
Source2:	https://raw.githubusercontent.com/sindresorhus/is-path-inside/v%{version}/license


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(path-is-inside)
%endif

%description
Check if a path is inside another path


%prep
%setup -q -n package
# setup the test.js and license files
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Feb  3 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
